std::mutex(3cxx)

NAME
std::mutex - The standard mutex type.

SYNOPSIS

Inherits std::__mutex_base.

  Public Types

typedef __native_type * native_handle_type

  Public Member Functions

mutex (const mutex &)=delete
void lock ()
native_handle_type native_handle () noexcept
mutex & operator= (const mutex &)=delete
bool try_lock () noexcept
void unlock ()

Detailed Description

The standard mutex type.

Definition at line 83 of file std_mutex.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.